## libvirt 2.5.0

=== debian/changelog ===
libvirt (2.5.0-3ubuntu5) zesty; urgency=medium

  * d/p/ubuntu/virsh-maxvcpu-fall-back-to-old-command.patch: virsh: maxvcpus:
    Always fall back to the old command if domain caps fail (LP: #1674298)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Tue, 21 Mar 2017 08:02:37 +0100

libvirt (2.5.0-3ubuntu4) zesty; urgency=medium

  * d/p/ubuntu/qemu-Allow-empty-script-path-to-interface.patch: in the past
    it was possible to have <script path=''/> which now fails - fix to match
    the old behavior (LP: #1665698)

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Fri, 10 Mar 2017 08:57:18 +0100

libvirt (2.5.0-3ubuntu3) zesty; urgency=medium

  [ Christian Ehrhardt ]
  * d/p/ubuntu/Ensure-disk-names-follow-the-disk-name-regex.patch:
    guarantee disk spec is following the defined regex (LP: #1665410).

  [ Bryan Quigley ]
  * d/p/ubuntu/0007-apparmor-fix-for-new-virt-manager.patch: Add Apparmor
    permissions so virt-manager 1.4.0 viewing works (LP: #1668681).

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 06 Mar 2017 08:24:06 +0100

libvirt (2.5.0-3ubuntu2) zesty; urgency=medium

  * No-change rebuild to build against Xen-4.8 libs.

 -- Stefan Bader <stefan.bader@canonical.com>  Thu, 26 Jan 2017 14:19:03 +0100

libvirt (2.5.0-3ubuntu1) zesty; urgency=medium

  * Merged with Debian unstable
    - this picks up a fix for migrations using NFS mounts (LP: #1637601).
  * Remaining changes:
    - Disable sheepdog (universe dependency)
    - Disable libssh2 support (universe dependency)
    - Disable firewalld support (universe dependency)
    - Disable selinux
    - Enable esx support
      - Add build-dep to libcurl4-gnutls-dev (required for esx)
    - Set qemu-group to kvm (for compat with older ubuntu)
    - Added changes to use the upstream apparmor profiles with added
      delta (configurable via apparmor profiles version).
      * d/p/u/000[1-6]-apparmor-*
    - Regularly clear AppArmor profiles for vms that no longer exist
    - Fix name resolution calls from virt-aa-helper profile (LP 1546674).
    - Add missing apparmor rule for debug-threads feature (LP 1615550).
    - Add new block device types to virt-aa-helpers profile (LP 1641618)
    - Additional apport package-hook
    - d/rules: debhelper start virtlogd.socket
    - Add sysvinit script for virtlockd
    - Additional debian/bug-presubj
    - Modifications to adapt for our delayed switch away from libvirt-bin (can
      be dropped after 18.04).
      - d/p/ubuntu/libvirtd-service-add-bin-alias.patch: alias to old
        libvirt-bin name.
      - d/p/ubuntu/libvirtd-init-add-bin-alias.patch: provides for the old
        libvirt-bin name.
    - Wait on socket in sysvinit script
    - Backwards compatible handling of groups (can be dropped after 18.04).
    - config details and autostart of default bridged network. Creating that is
      now the default in general, yet our solution provides the following on
      top as of today:
      - nat only on some ports <port start='1024' end='65535'/>
      - autostart the default network by default
      - do not autostart if 192.168.122.0 is already taken (e.g. in containers)
    - d/p/ubuntu/Allow-libvirt-group-to-access-the-socket.patch: This is
      the group based access to libvirt functions as it was used in Ubuntu
      for quite long.
      - d/p/ubuntu/daemon-augeas-fix-expected.patch fix some related tests
        due to the group access change.
    - d/p/ubuntu/dnsmasq-as-priv-user: configuration to run as extra user
      - d/p/ubuntu/disable-network-test.patch: disable test failing due to
        dnsmasq changes.
    - ubuntu/parallel-shutdown.patch: set parallel shutdown by default.
    - d/p/ubuntu/enable-kvm-spice.patch: compat with older Ubuntu qemu/kvm
      which provided a separate kvm-spice.
    - d/p/ubuntu/storage-default-permission-mode-to-0711: safer default perms
      for storage dirs like /var/lib/libvirt/images.
    - d/p/ubuntu/storage-disable-gluster-test: gluster not enabled, skip test
    - d/p/ubuntu/9031-enable-lxc-apparmor: enable apparmor confinement of
      containers by default.
    - d/p/ubuntu/9032-lxc-allow-no-security-driver: allow empty sec driver for
      libvirt-lxc.
    - d/p/ubuntu/ubuntu_machine_type.patch: accept ubuntu types as pci440fx
    - d/p/ubuntu/ubuntu-libxl-qemu-path.patch: Set common qemu path to match
      Debian/Ubuntu Xen packaging.
    - d/p/ubuntu/ubuntu-libxl-hvmloader-path.patch: Fallback for libxl
      xen paths (LP 1459603)
    - d/p/ubuntu/ubuntu-libxl-Fix-up-VRAM-to-minimum-requirements.patch: auto
      set VRAM to minimum requirements
    - d/p/ubuntu/libxl-no-dm-check.patch: Stop calling emulator to identify
      device-model
    - d/p/ubuntu/xen-default-uri.patch: set default URI on xen hosts
    - fixup tests to match packaging of Xen (mostly different paths)
      - d/p/ubuntu/libxl-fix-test-data.patch
      - d/p/ubuntu/fix-xen-xml-in-tests.patch
    - d/p/ubuntu/Debianize-virtlogd-service.patch: Adapt config file location
      for Debian based systems.
    - d/p/ubuntu/Debianize-virtlockd-init.patch: Fix default config path in
      virtlockd.init for Debian based systems.
    - d/p/ubuntu/9034-complete-9p-support: virt-aa-helper: add l to 9p file
      options.
    - d/p/ubuntu/parallel-shutdown.patch: shut guests down in parallel
    - d/p/ubuntu/virt-aa-helper-no-explicity-deny-for-basefiles.patch: ask for
      no deny rule for readonly disk elements.
    - d/p/ubuntu/virt-aa-helper-add-guest-agent-rule.patch: add virt-aa-helper
      rule allowing all private channel access
    - d/p/ubuntu/libvirtd-service-nolimit.patch: remove proc/file/task limits
      to support huge systems.
    - d/p/ubuntu/virt-aa-helper-apparmor-allow-usr-share-AAVMF-too.patch:
      virt-aa-helper to allow access to aarch64 UEFI images.
    - d/p/ubuntu/libvirtd-service-set-notifyaccess.patch: set NotifyAccess=all
      in libvirtd.service (LP 1574566).

