## libvirt 2.5.0-3ubuntu5.4+8.0trisquel2

=== debian/changelog ===
libvirt (2.5.0-3ubuntu5.4+8.0trisquel2) flidas; urgency=medium

  * Backported from zesty, disabled zfs integration

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 18 Aug 2017 21:49:26 +0000

libvirt (2.5.0-3ubuntu5.4) zesty; urgency=medium

  * d/p/ubuntu/bug-1705132-* qemu: Adaptive timeout for connecting to
    monitor (LP: #1705132)
    - includes backports that make backing off on timeouts exponentially
      but cap the exponential increase on 1s.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Thu, 20 Jul 2017 13:06:02 +0200

libvirt (2.5.0-3ubuntu5.3) zesty; urgency=medium

  * d/p/ubuntu/0004-apparmor-apply-ubuntu-delta.patch: Allow access to base
    images and snapshots stored in nova-hypervisor snap's $SNAP_COMMON
    directory, enabling use of the libvirt deb from the nova-hypervisor
    snap (LP: #1644507).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 22 Jun 2017 14:39:39 -0400

libvirt (2.5.0-3ubuntu5.2) zesty; urgency=medium

  * d/p/ubuntu/qemu_process-spice-don-t-release-used-port.patch: qemu_process
    spice: don't release used port (LP: #1697729) - upstream in libvirt 3.1.

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Mon, 19 Jun 2017 07:52:32 +0200

libvirt (2.5.0-3ubuntu5.1) zesty; urgency=medium

  * Add missing apparmor profile entries (LP: #1680384)
    - debian/patches/ubuntu/apparmor-vfio.patch: apparmor: add /dev/vfio
      for vf (hot) attach
    - debian/patches/ubuntu/apparmor-ppcwrapper.patch: apparmor: allow
      extra tools executed by kvm.powerpc
    - debian/patches/ubuntu/apparmor-shutdown.patch: apparmor: allow to
      parse cmdline of the pid that send the shutdown signal

 -- Christian Ehrhardt <christian.ehrhardt@canonical.com>  Wed, 26 Apr 2017 13:47:27 +0200
