=== debian/control ===
--- 
+++ 
@@ -48,7 +48,6 @@
  systemtap-sdt-dev [amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x],
  python,
  xsltproc,
- zfsutils [kfreebsd-amd64 kfreebsd-i386],
  po-debconf,
 # for --with-storage-sheepdog
 # sheepdog [linux-any],
@@ -163,7 +162,6 @@
  parted,
 Section: admin
 Suggests: radvd, auditd, systemtap, systemd, apparmor,
- nfs-common, zfsutils, pm-utils
 Breaks: avahi-daemon (<< 0.6.31-3~),
  systemd-sysv (<< 224-1~)
 Replaces: libvirt-bin (<< 1.3.3-2)
