=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
   WITH_STORAGE_DISK   =	--with-storage-disk
   WITH_STORAGE_SHEEPDOG = --with-storage-sheepdog
   WITH_STORAGE_RBD    = --with-storage-rbd
-  WITH_STORAGE_ZFS    = --with-storage-zfs
+  WITH_STORAGE_ZFS    = --without-storage-zfs
   WITH_UDEV           = --with-udev
   WITH_CAPNG          = --with-capng
   WITH_MACVTAP        = --with-macvtap
@@ -56,7 +56,7 @@
   endif
 else
   ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
-    WITH_STORAGE_ZFS  = --with-storage-zfs
+    WITH_STORAGE_ZFS  = --without-storage-zfs
   endif
   WITH_STORAGE_LVM    = --without-storage-lvm
   WITH_STORAGE_ISCSI  = --without-storage-iscsi
