## libvirt 3.0.0

=== debian/changelog ===
libvirt (3.0.0-4+deb9u4) stretch-security; urgency=medium

  * Fix CVEs related to privilege escalations on R/O connections.
    - CVE-2019-10161:
      CVE-2019-10161-api-disallow-virDomainSaveImageGetXMLDesc-.patch
    - CVE-2019-10167:
      api-disallow-virConnectGetDomainCapabilities-on-read-only.patch
  * cpu_map: Define md-clear CPUID bit.
    CVE-2018-12126, CVE-2018-12127, CVE-2018-12130, CVE-2019-11091
  * Add spec-ctrl and ibpb CPU features and ibrs CPU models.
    CVE-2017-5753, CVE-2017-5715
  * Add ssbd CPU feature.
    CVE-2018-3639

 -- Guido Günther <agx@sigxcpu.org>  Wed, 12 Jun 2019 10:13:38 +0200

libvirt (3.0.0-4+deb9u3) stretch-security; urgency=high

  * gbp: switch branch to stretch
  * CVE-2018-1064: qemu: avoid denial of service reading from QEMU guest agent
  * CVE-2018-6764: virlog: determine the hostname on startup
    (Closes: #889839)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 12 Mar 2018 19:11:51 +0100

libvirt (3.0.0-4+deb9u2) stretch; urgency=medium

  * CVE-2018-5748: qemu: avoid denial of service reading from QEMU monitor
    (Closes: #887700)
  * qemu: shared disks with cache=directsync should be safe for migration.
    Thanks to Carsten Burkhardt (Closes: #883208)

 -- Guido Günther <agx@sigxcpu.org>  Sat, 20 Jan 2018 17:51:39 +0100

libvirt (3.0.0-4+deb9u1) stretch-security; urgency=high

  * CVE-2017-1000256: qemu: ensure TLS clients always verify the server
    certificate (Closes: #878799)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 16 Oct 2017 22:48:55 +0200

libvirt (3.0.0-4) unstable; urgency=medium

  * [2a23b23] qemu: skip QMP probing of CPU definitions when missing.
    Don't probe CPU definitions if we lack the monitor command. This
    unbreaks e.g. mips based VMs. (Closes: #85412)
  * [21bc332] apprarmor: unbreak lbvirt invoking qemu-bridge-helpers
    This makes VM creation in gnome-boxes work with apparmor enabled.

 -- Guido Günther <agx@sigxcpu.org>  Fri, 17 Mar 2017 11:20:13 +0100

libvirt (3.0.0-3) unstable; urgency=medium

  * [62ad289] Debianize virtlogd
  * [cb216b5] CVE-2017-2635: qemu: Don't update physical storage size of empty drives
    (Closes: #856313)

 -- Guido Günther <agx@sigxcpu.org>  Mon, 27 Feb 2017 20:07:41 +0100

libvirt (3.0.0-2) unstable; urgency=medium

  * Upload to unstable
  * [8ce689d] Add pt_BR debconf translation.
    Thanks to Adriano Rafael Gomes (Closes: #852446)

 -- Guido Günther <agx@sigxcpu.org>  Wed, 25 Jan 2017 07:04:08 +0100

libvirt (3.0.0-1) experimental; urgency=medium

  * [bf2fdf7] New upstream version 3.0.0
  * [95b1359] New upstream version 3.0.0-rc1
  * [57baa73] lxc smoketest: drop emulator path
    so it's simpler to reuse this on other distros to reproduce test
    failures.
    Thanks to Cedric Bosdonnat
  * [5be8cad] lxc: ensure libvirt_lxc and qemu-nbd move into systemd machine
    slice (Closes: #848317)
  * [5c36b50] nl debconf translation.
    Thanks to Frans Spiesschaert (Closes: #850737)
  * [458b927] Add Danish debconf translation.
    Thanks to Joe Dalton (Closes: #850872)
  * [cbe5cd0] Add fr debconf translation.
    Thanks to Alban VIDAL (Closes: #850938)
  * [7c3b026] Rediff patches.
    Dropped patches fixed upstream
      apparmor-pass-attach_disconnected.patch
      lxc-ensure-libvirt_lxc-and-qemu-nbd-move-into-systemd-mac.patch
      AppArmor-policy-support-merged-usr.patch
  * [baf4b1f] Bump symbol versions
  * [80ef821] Add de translation.
    Thanks to Markus Hiereth for the initial draft
  * [2be70b3] Work around lack of /dev/ptmx access in pbuilder
    test-posix_openpt-don-t-fail-on-EPERM.patch
    openpty-Skip-test-if-no-pty-is-available.patch
  * [43e4ddc] Disable use of qemu mount namespaces by default. The
    code is not complete yet.

 -- Guido Günther <agx@sigxcpu.org>  Thu, 19 Jan 2017 18:51:18 +0100
