=== debian/rules ===
--- 
+++ 
@@ -25,7 +25,7 @@
   WITH_STORAGE_DISK   =	--with-storage-disk
   WITH_STORAGE_SHEEPDOG = --with-storage-sheepdog
   WITH_STORAGE_RBD    = --with-storage-rbd
-  WITH_STORAGE_ZFS    = --without-storage-zfs
+  WITH_STORAGE_ZFS    = --with-storage-zfs
   WITH_UDEV           = --with-udev
   WITH_CAPNG          = --with-capng
   WITH_MACVTAP        = --with-macvtap
@@ -35,16 +35,16 @@
   WITH_SANLOCK        = --with-sanlock
   WITH_INIT_SCRIPT    =	--with-init-script=systemd
   WITH_SYSTEMD        = --with-systemd-daemon
-  WITH_FIREWALLD      = --without-firewalld
+  WITH_FIREWALLD      = --with-firewalld
   WITH_AUDIT          = --with-audit
-  WITH_SELINUX        = --without-selinux
+  WITH_SELINUX        = --with-selinux --with-secdriver-selinux --with-selinux-mount=/sys/fs/selinux
   WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor --with-apparmor-profiles
-  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc ppc64el s390 s390x))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc s390))
       WITH_DTRACE     = --with-dtrace
   else
       WITH_DTRACE     = --without-dtrace
   endif
-  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el s390x))
+  ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 arm64 i386 ia64 mips mipsel powerpc ppc64el))
       WITH_NUMA       = --with-numactl --with-numad
   else
       WITH_NUMA       = --without-numactl --without-numad
@@ -56,7 +56,7 @@
   endif
 else
   ifneq (,$(findstring $(DEB_HOST_ARCH_OS), linux))
-    WITH_STORAGE_ZFS  = --without-storage-zfs
+    WITH_STORAGE_ZFS  = --with-storage-zfs
   endif
   WITH_STORAGE_LVM    = --without-storage-lvm
   WITH_STORAGE_ISCSI  = --without-storage-iscsi
@@ -90,12 +90,12 @@
 	--disable-rpath          \
 	--with-qemu		 \
 	--with-qemu-user=libvirt-qemu  \
-	--with-qemu-group=kvm \
+	--with-qemu-group=libvirt-qemu \
 	$(WITH_OPENVZ)		 \
 	--with-avahi             \
 	--with-sasl              \
 	--with-yajl              \
-	--without-ssh2		 \
+	--with-ssh2		 \
 	--with-polkit		 \
 	$(WITH_UDEV)		 \
 	--with-storage-fs        \
@@ -109,7 +109,7 @@
 	$(WITH_NUMA)             \
 	$(WITH_SELINUX)          \
 	$(WITH_APPARMOR)         \
-	--with-esx		 \
+	--without-esx		 \
 	--without-phyp           \
 	$(WITH_CAPNG)		 \
 	--enable-debug		 \
@@ -141,27 +141,10 @@
 LOGROTATE = $(basename $(basename $(notdir $(wildcard daemon/libvirtd*.logrotate.in))))
 EXAMPLES_DIR = $(CURDIR)/debian/libvirt-doc/usr/share/doc/libvirt-doc/examples/
 
-# If we are building on/for a newer release, then we will
-# (in override_dh_install-arch) keep more of the newer rules and therefore
-# require a newer apparmor.
-# We check versions in increasing order so we end up with the strictest
-# applicable requirement.
-APPARMOR_REQ = -V'dist:Conflicts='
-ifeq ($(shell dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.04" && echo "yes"),yes)
-	APPARMOR_REQ = -V'dist:Conflicts=apparmor (<< 2.8.95~2430-0ubuntu4)'
-endif
-ifeq ($(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2),14.04)
-	DEB_CONFIGURE_EXTRA_ARGS += --with-apparmor-profiles-version=2.9
-endif
-ifeq ($(shell dpkg --compare-versions "$(shell grep DISTRIB_RELEASE /etc/lsb-release | cut -d= -f2)" ge "14.10" && echo "yes"),yes)
-	APPARMOR_REQ = -V'dist:Conflicts=apparmor (<< 2.8.96~2652-0ubuntu1)'
-endif
-
 %:
 	dh $@ --builddirectory=$(DEB_BUILDDIR) --parallel --with autoreconf
 
 override_dh_auto_configure:
-	SHEEPDOGCLI="/usr/sbin/collie" \
 	dh_auto_configure -- $(DEB_CONFIGURE_EXTRA_ARGS)
 	mkdir -p debian/build/docs/internals
 
@@ -176,25 +159,6 @@
 	fi
 
 override_dh_install-arch:
-	mkdir -p debian/tmp/usr/share/apport/package-hooks
-	cp -f debian/libvirt-daemon.apport \
-	      debian/tmp/usr/share/apport/package-hooks/source_libvirt.py
-	# copy dnsmasq configuration
-	mkdir -p debian/tmp/etc/dnsmasq.d-available
-	cp debian/libvirt-daemon.dnsmasq \
-	   debian/tmp/etc/dnsmasq.d-available/libvirt-daemon
-	# Add profile script to automatically set default URI
-	mkdir -p debian/tmp/etc/profile.d
-	cp -f debian/libvirt-uri.sh debian/tmp/etc/profile.d/
-	# Multiarch:
-	# don't configure with --libdir, but move the files manually, because
-	# we don't want to change other places in /usr/lib/
-	mkdir -p debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
-	mv debian/tmp/usr/lib/lib*a \
-	   debian/tmp/usr/lib/lib*.so* \
-	   debian/tmp/usr/lib/pkgconfig \
-	   debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)
-
 	dh_install
 
 	# Copy upstream files to debian/ so dh_* can find them
@@ -216,3 +180,39 @@
 	dh_apparmor -p libvirt-daemon-system --profile-name=usr.sbin.libvirtd
 	# Not all linux arches have systemtap yet
 	mkdir -p debian/tmp/usr/share/systemtap
+	dh_install -p libvirt-daemon-system usr/share/systemtap
+	dh_install -p libvirt-daemon-system etc/libvirt/lxc.conf
+	dh_install -p libvirt-daemon-system etc/libvirt/qemu-sanlock.conf
+	dh_install -p libvirt-daemon-system etc/libvirt/qemu/networks/
+	dh_install -p libvirt-daemon-system etc/libvirt/nwfilter/
+	dh_install -p libvirt-clients etc/libvirt/virt-login-shell.conf
+endif
+ifeq ($(XEN_ENABLED), 1)
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl.conf
+	dh_install -p libvirt-daemon-system etc/libvirt/libxl-lockd.conf
+endif
+	dh_install -p libnss-libvirt usr/lib/libnss_libvirt.so.2 lib/$(DEB_HOST_MULTIARCH)/
+
+	for l in $(LOGROTATE); do \
+		cp $(CURDIR)/debian/build/daemon/$$l.logrotate \
+	        debian/libvirt-daemon-system.$$l.logrotate; \
+		dh_installlogrotate --name=$$l;     \
+	done
+
+	# Don't ship any la files
+	rm debian/libvirt-daemon/usr/lib/libvirt/connection-driver/*.la
+	# Don't ship api files in the daemon package
+	rm -r debian/libvirt-daemon/usr/share/libvirt/api/
+
+
+override_dh_installinit:
+	dh_systemd_enable
+	dh_installinit -p libvirt-daemon-system --name=virtlogd --no-restart-on-upgrade
+	dh_installinit -p libvirt-daemon-system --name=libvirtd --restart-after-upgrade -- defaults 28 72
+	dh_installinit -p libvirt-daemon-system --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
+	dh_systemd_start -p libvirt-daemon-system --restart-after-upgrade libvirtd.service
+	dh_systemd_start -p libvirt-daemon-system --no-restart-on-upgrade $(LIBVIRT_SYSTEM_SERVICES)
+
+override_dh_installdocs:
+	dh_installdocs
+	# Remove binaries and object files examples
