=== debian/rules ===
--- 
+++ 
@@ -39,6 +39,7 @@
   WITH_AUDIT          = --with-audit
   WITH_SELINUX        = --with-selinux --with-secdriver-selinux --with-selinux-mount=/sys/fs/selinux
   WITH_APPARMOR       = --with-apparmor --with-secdriver-apparmor --with-apparmor-profiles
+  WITH_NSS_PLUGIN     = --with-nss-plugin
   ifneq (,$(findstring $(DEB_HOST_ARCH), amd64 armel armhf i386 ia64 powerpc s390))
       WITH_DTRACE     = --with-dtrace
   else
@@ -76,6 +77,7 @@
   WITH_AUDIT          = --without-audit
   WITH_SELINUX        = --without-selinux
   WITH_APPARMOR       = --without-apparmor
+  WITH_NSS_PLUGIN     = --without-nss-plugin
   WITH_DTRACE         = --without-dtrace
   WITH_XEN            = --without-xen
   WITH_LIBXL          = --without-libxl
@@ -99,6 +101,7 @@
 	--with-polkit		 \
 	$(WITH_UDEV)		 \
 	--with-storage-fs        \
+	--with-storage-dir       \
 	$(WITH_STORAGE_LVM)	 \
 	$(WITH_STORAGE_ISCSI)	 \
 	$(WITH_STORAGE_DISK)	 \
@@ -109,7 +112,7 @@
 	$(WITH_NUMA)             \
 	$(WITH_SELINUX)          \
 	$(WITH_APPARMOR)         \
-	--without-esx		 \
+	--with-esx               \
 	--without-phyp           \
 	$(WITH_CAPNG)		 \
 	--enable-debug		 \
@@ -125,7 +128,7 @@
 	--without-hal            \
 	$(WITH_FIREWALLD)        \
 	--without-attr           \
-        --with-nss-plugin        \
+	$(WITH_NSS_PLUGIN)       \
         $(NULL)
 
 LIBVIRT_SYSTEM_SERVICES = \
@@ -168,6 +171,8 @@
 	    debian/libvirt-daemon-system.libvirt-guests.default
 	cp src/logging/virtlogd.sysconf \
 	    debian/libvirt-daemon-system.virtlogd.default
+	cp src/locking/virtlockd.sysconf \
+	    debian/libvirt-daemon-system.virtlockd.default
 	# Add our backward compat polkit rule
 	cp debian/polkit/60-libvirt.pkla \
 	    debian/libvirt-daemon-system/var/lib/polkit-1/localauthority/10-vendor.d/
@@ -186,12 +191,12 @@
 	dh_install -p libvirt-daemon-system etc/libvirt/qemu/networks/
 	dh_install -p libvirt-daemon-system etc/libvirt/nwfilter/
 	dh_install -p libvirt-clients etc/libvirt/virt-login-shell.conf
+	dh_install -p libnss-libvirt usr/lib/libnss_libvirt.so.2 lib/$(DEB_HOST_MULTIARCH)/
 endif
 ifeq ($(XEN_ENABLED), 1)
 	dh_install -p libvirt-daemon-system etc/libvirt/libxl.conf
 	dh_install -p libvirt-daemon-system etc/libvirt/libxl-lockd.conf
 endif
-	dh_install -p libnss-libvirt usr/lib/libnss_libvirt.so.2 lib/$(DEB_HOST_MULTIARCH)/
 
 	for l in $(LOGROTATE); do \
 		cp $(CURDIR)/debian/build/daemon/$$l.logrotate \
@@ -201,6 +206,7 @@
 
 	# Don't ship any la files
 	rm debian/libvirt-daemon/usr/lib/libvirt/connection-driver/*.la
+	rm debian/libvirt-daemon/usr/lib/libvirt/storage-backend/*.la
 	# Don't ship api files in the daemon package
 	rm -r debian/libvirt-daemon/usr/share/libvirt/api/
 
@@ -210,9 +216,3 @@
 	dh_installinit -p libvirt-daemon-system --name=virtlogd --no-restart-on-upgrade
 	dh_installinit -p libvirt-daemon-system --name=libvirtd --restart-after-upgrade -- defaults 28 72
 	dh_installinit -p libvirt-daemon-system --name=libvirt-guests --no-restart-on-upgrade -- defaults 29 71
-	dh_systemd_start -p libvirt-daemon-system --restart-after-upgrade libvirtd.service
-	dh_systemd_start -p libvirt-daemon-system --no-restart-on-upgrade $(LIBVIRT_SYSTEM_SERVICES)
-
-override_dh_installdocs:
-	dh_installdocs
-	# Remove binaries and object files examples
